hr {
  background-color: black;
  size: 3px;
  box-shadow: 0 0 16px #00000033;
}

table {
  border-spacing: 0 0;
  width: 100vw;

  tbody {
    tr:nth-child(odd) {
      background-color: #f1f0f0;
    }
  }
  tr {
    text-align: center;
  }

  tbody, tr, td {
    vertical-align: middle;
  }
}

@media (max-width: 468px) {
  table {
    thead {
      display: none;
    }

    tbody, tr, td {
      display: block;
      width: 100vw;
    }

    tr {
      margin-bottom: 15px;
    }

    td {
      padding-right: 25px;
    }

    tbody tr td {
      text-align: right;
    }

    td:before {
      content: "a";
      position: absolute;
      left: 0;
    }
  }
}

.search-area {
  padding: 0.5em 25px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;

  form {
    display: flex;
    flex-direction: row;
    gap: 10px;
  }
}

.search-value {
  width: 190px;
}

.add-button {
  display: flex;
  cursor: pointer;
}

.link-icon {
  text-decoration: none;
  cursor: pointer;
}

#popup {
  background-color: white;
  box-shadow: 0 0 16px #00000033;
  border-radius: 8px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  z-index: 5;
  visibility: hidden;
  padding: 3em;
}

.button-area {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 8px;
  gap: 4px;

  input {
    cursor: pointer;
    height: 29px;
    padding: 1px 10px !important;
    font-size: 1em;
    border-radius: 5px;
    border: 1px solid #ABABAB;
  }
    &:hover {
      background-color: #FEFEFE;
  }
}

#dim {
  position: fixed;
  background-color: #00000033;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 3;
  cursor: pointer;
  visibility: hidden;

  @supports (backdrop-filter: blur(6px)) {
    background: #ffffff80;
    backdrop-filter: blur(6px);
  }

  @supports not (backdrop-filter: blur(6px)) {
    background-color: #00000033;
  }
}

.content-popup {
  form {
    display: flex;
    flex-direction: column;
    gap: 1em;

    div {
      display: flex;
      flex-direction: column;
    }
  }
}

legend {
  font-weight: bold;
  font-size: 1.2em;
}

input, select{
  border-radius: 3px;
  border: solid 1px #4e555b;
  padding: 0.3em 0.3em;
  width: 100%;
  box-sizing: border-box;

  &:active, &:focus {
    outline: none;
  }
}

.area-page {
  padding-top: 10px;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 5px;

  div {
    display: flex;
    flex-direction: row;
    gap: 5px;
  }
}